{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "etwin": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "i18n": {
        "sourceLocale": {
          "code": "en-US"
        },
        "locales": {
          "de-DE": {
            "translation": "./src/locales/messages.de-DE.xlf"
          },
          "eo": {
            "translation": "./src/locales/messages.eo.xlf"
          },
          "es-SP": {
            "translation": "./src/locales/messages.es-SP.xlf"
          },
          "fr-FR": {
            "translation": "./src/locales/messages.fr-FR.xlf"
          }
        }
      },
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "app/browser/dev",
            "index": "src/index.html",
            "main": "src/browser/main.ts",
            "polyfills": "src/browser/polyfills.ts",
            "tsConfig": "src/browser/tsconfig.json",
            "aot": true,
            "assets": [
              {
                "input": "src/static",
                "glob": "**/*",
                "output": ""
              }
            ],
            "extractCss": true,
            "styles": [
              "src/styles/main.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "serve": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.serve.ts"
                }
              ]
            },
            "production": {
              "outputPath": "app/browser",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "assets": [],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "subresourceIntegrity": false,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "etwin:build:serve"
          },
          "configurations": {
            "production": {
              "browserTarget": "etwin:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "etwin:build",
            "format": "xlf",
            "outFile": "../locales/messages.en-US.xlf"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              {
                "input": "src/static",
                "glob": "**/*",
                "output": ""
              }
            ],
            "styles": [
              "src/styles/main.scss"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "tsconfig.app.json",
              "tsconfig.spec.json",
              "e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "etwin:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "etwin:serve:production"
            }
          }
        },
        "server": {
          "builder": "@angular-devkit/build-angular:server",
          "options": {
            "outputPath": "app/server/dev",
            "main": "./src/server/main.ts",
            "tsConfig": "./src/server/tsconfig.json"
          },
          "configurations": {
            "production": {
              "outputPath": "app/server",
              "outputHashing": "media",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "sourceMap": false,
              "optimization": true
            }
          }
        },
        "serve-ssr": {
          "builder": "@nguniversal/builders:ssr-dev-server",
          "options": {
            "browserTarget": "etwin:build",
            "serverTarget": "etwin:server"
          },
          "configurations": {
            "production": {
              "browserTarget": "etwin:build:production",
              "serverTarget": "etwin:server:production"
            }
          }
        },
        "prerender": {
          "builder": "@nguniversal/builders:prerender",
          "options": {
            "browserTarget": "etwin:build:production",
            "serverTarget": "etwin:server:production",
            "routes": [
              "/"
            ]
          },
          "configurations": {
            "production": {}
          }
        }
      }
    }},
  "defaultProject": "etwin"
}
